%global fontname adobe-source-han-sans-jp
%global fontconf 68-%{fontname}.conf
%global archivename SourceHanSansJP

Name:		adobe-source-han-sans-jp-fonts
Version:	1.004
Release:	4%{?dist}
Summary:	Adobe OpenType Pan-CJK font family for Japanese

License:	OFL
URL:		https://github.com/adobe-fonts/source-han-sans/
Source0:	https://github.com/adobe-fonts/source-han-sans/raw/release/SubsetOTF/%{archivename}.zip
Source1:	%{name}-fontconfig.conf

BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

%description
Source Han Sans is a set of OpenType/CFF Pan-CJK fonts.

%prep
%autosetup -n %{archivename}

%build

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
		   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s	%{_fontconfig_templatedir}/%{fontconf} \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}

%_font_pkg -f %{fontconf} *.otf

%license LICENSE.txt

%changelog
* Wed Jul 18 2018 Akira TAGOH <tagoh@redhat.com> - 1.004-4
- Update the fontconfig priority to make Noto default.

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 27 2017 Akira TAGOH <tagoh@redhat.com> - 1.004-1
- Initial packaging.
